Subject: Ticket Assigned - Re: We’ve received your return request.
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 26 Apr 2021 04:07:44 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re: We’ve received your return request. Hi Centerpoint,

I am very disappointed with the return delivery service of the Landmark
group as a brand in Riyadh. I had one of the worst and traumatic
experiences with the LMG delivery agent. I am stating the whole incident
here:

I had a return request for an item with order number 6281042090 and return
request number 1000684054. The representative whose name is "Muhammad" with
the phone number (0096-55-9042986) left the location without accepting it.
Yesterday, the same representative called for another return request with
order number 6290225662 and return request number 1000730873. I already
made this return to the store but he kept calling. I returned him the item
which was supposed to be returned and he took it.

Today morning, he called me and used very abusive language with racial
comments along with foul language. Also, he threatened to come to my place
and get physical with me as I have committed fraud.

Everything in the system is clear from my end and yet the LMG
representative uses very abusive behaviour in his transactions with me. I
actually headed toward the police station and lodged a complaint against
him as he is threatening me.

I am very sorry to say that the Landmark group return service is the worst
of any in the market. The courier service agent, which was from LMG,
actually stated in his call that "He is above and beyond any LAW of the
company".

I want a complete investigation of the incident and want punishment for the
elements at the LMG courier agent.

I am open to any contact by the company on this matter.

Regards,
*Wasif Ali*
*+966 53 2184502 *

On Thu, Mar 25, 2021 at 5:16 PM Wasif Ali <[email-masked]> wrote:

> Hi Centrepoint,
>
> I am very much disappointed by the return service Landmark group offers.
>
> For this time, I added a return request. Today a representative sent a
> text message to collect the location and I sent him my location & time when
> I will be available. For his convenience, I sent him the time when I will
> be available at my location. I was at my location when he arrives and asked
> him to just wait for 2 minutes as I will come out and hand over the item.
> However, he started getting really rude and used inappropriate language as
> if he is doing a great favor by collecting the order. After speaking out,
> he left without collecting the order. This is his mobile
> number +966-55-9042986.
>
> I am very disappointed by the service level of Landmark group is offering.
> If you really don't intend to collect the order or it is some kind of a
> burden on your operations then please let me know. I won't be asking for a
> return.
>
> Regards,
> *Wasif Ali*
> *+966 53 2184502 *
>
>
> On Wed, Mar 24, 2021 at 3:49 AM Centrepoint <[email-masked]>
> wrote:
>
>> Here’s what you need to do next.
>> 
>> <https://www.centrepointstores.com/sa/en?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> Download our apps now
>>  <https://itunes.apple.com/ae/app/id1161310479f> [image:
>> android icon]
>> <https://play.google.com/store/apps/details?id=com.landmarkgroup.centrepointstores&referrer=utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> iPhone <https://itunes.apple.com/ae/app/id1161310479f> Android
>> <https://play.google.com/store/apps/details?id=com.landmarkgroup.centrepointstores&referrer=utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> 
>> Babyshop
>> <https://www.babyshopstores.com/sa/en?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> Lifestyle
>> <https://www.lifestyleshops.com/sa/en?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> Splash
>> <https://www.splashfashions.com/sa/en?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en> Shoe
>> Mart
>> <https://www.shoemartstores.com/sa/en?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> Offers
>> <https://www.centrepointstores.com/sa/en/offers?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> Clearance
>> <https://www.centrepointstores.com/sa/en/search?q=badge.title.en%3AClearance&clr=true&utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>>
>> We’ve received your return request.
>>
>> Hi Wasif Ali, thank you for getting in touch with us. Here’s how your
>> return 1000684054 for order 6281042090 will work.Our delivery partner
>> will pick up your return in around 2-5 business days.
>> *Order Details *
>>
>> Item
>>
>> Description
>>
>> Total Price
>> *CENTREPOINT*
>> Spot Printed Peplum Top with Back Zipper Closure
>> Color: White
>> Size: L
>> Quantity: 1 SAR 35
>>
>> Total *SAR 35*
>> 1. Box up your return
>>
>> Please include the invoice, price tags and any warranty information.
>> 2. Hand over your return
>>
>> Our delivery partner will pick it up from your doorstep.
>> 3. Receive your refund
>>
>> This will be issued after we receive your products in our warehouse and
>> conduct a quality check.
>> Here's how your refund works:
>>
>>    - If you’ve paid by Cash on Delivery, your refund will be credited to
>>    your My Credit balance under your account.
>>    - Refunds to your Credit Card or Debit Card may take 7-14 business
>>    days to process.
>>    - Refunds for any Shukrans, Gift Cards or Return Vouchers you've
>>    spent will also be credited to your My Credit balance.
>>
>> 
>> Need help? Get in touch
>>
>>  <[email-masked]?Body=Contacted>
>>
>> *Write us an email now*, we'll get back to you as fast as we can.
>>  <https://www.facebook.com/CentrepointME>
>>
>> *Connect with us* on your favourite social network.
>>  <https://twitter.com/centrepointme>
>>
>> Reach out in 140 characters! We are *@centrepointme*.
>>
>> *Call us on 800-111-10CP (800-1111027).*
>> 7 days a week, 24 hours a day
>> 
>> © 2021 Retail World Limited
>> Privacy Policy
>> <https://www.centrepointstores.com/sa/en/privacypolicy?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>> | Terms & Conditions
>> <https://www.centrepointstores.com/sa/en/termsandconditions?utm_source%3Dhybris%26utm_medium%3Demail%26utm_campaign%3Dreturn_initiation_SA_en>
>>
>

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2351394